{ config, pkgs, ... }:

{
  imports =
    [];

  home.username = "lukas";
  home.homeDirectory = "/home/lukas";
  home.stateVersion = "23.11";

  # set several gnome settings options
  dconf.settings = {
    "org/gnome/desktop/interface" = {
        color-scheme = "prefer-dark";
        enable-hot-corners = true;
        clock-show-seconds = true;
    };
    "org/gnome/mutter" = {
        dynamic-workspaces = true;
        edge-tiling = true;
    };
    "org/gnome/shell" = {
      favorite-apps = ["org.gnome.Nautilus.desktop" "gnome-system-monitor.desktop" "firefox.desktop" "org.gnome.Console.desktop"];
    };
  };

  # nautilus settings
  dconf.settings = {
    "org/gnome/nautilus/preferences" = {
      default-folder-viewer = "list-view";
    };
    "org/gnome/nautilus/list-view" = {
        default-zoom-level = "small";
    };
  };

  # set git names
  programs.git = {
    enable = true;
    userName  = "Lukas Heiligenbrunner";
    userEmail = "lukas.heiligenbrunner@gmail.com";
  };

  dconf.settings = {
    "org/gnome/desktop/background" = {
        picture-uri = "/home/lukas/.background-image";
    };
  };

  home.file.".background-image" = {
    source = ./resources/background-hogwartslegacy.png;
  };
}